%define with_tests 0
%define debug_package %{nil}

Name:           python-dmidecode
Summary:        Python module to access DMI data
Version:        3.12.3
Release:        %mkrel 2
License:        GPLv2
Group:          Development/Python
URL:            https://github.com/nima/python-dmidecode
Source0:        https://github.com/nima/python-dmidecode/archive/refs/tags/v%{version}.tar.gz
Patch1:         dmidecode-3.12.2-path.patch

BuildRequires:  pkgconfig(libxml-2.0)

BuildRequires:  python3-devel
BuildRequires:  libxml2-python3


%description
python-dmidecode is a python extension module that uses the
code-base of the 'dmidecode' utility, and presents the data
as python data structures or as XML data using libxml2.


%package -n python3-dmidecode
Summary:        Python 3 module to access DMI data
Group:          Development/Python
Requires:       libxml2-python3
%{?python_provide:%python_provide python3-dmidecode}

%description -n python3-dmidecode
python3-dmidecode is a Python 3 extension module that uses the
code-base of the 'dmidecode' utility, and presents the data
as Python 3 data structures or as XML data using libxml2.


%prep
%setup -q
%autopatch -p2
# mv %{name}-%{version} python3

# pushd python3
sed -i 's/python2/python3/g' Makefile unit-tests/Makefile
# popd


%build
# Not to get undefined symbol: dmixml_GetContent
export CFLAGS="${CFLAGS-} -std=gnu89"


# for PY in python3; do
#   pushd $PY
  make build
#   popd
# done


%install
# pushd python3
%{__python3} src/setup.py install --root %{buildroot} --prefix=%{_prefix}
# popd

%if %{with_tests}
%check
# for PY in python3; do
  pushd unit-tests
  make
  popd
# done
%endif


%files -n python3-dmidecode
%license doc/LICENSE doc/AUTHORS doc/AUTHORS.upstream
%doc README doc/README.upstream
%{python3_sitearch}/dmidecodemod.cpython-%{python3_version_nodots}-*.so
%{python3_sitearch}/__pycache__/dmidecode.cpython-%{python3_version_nodots}*.py[co]
%{python3_sitearch}/dmidecode.py
%{python3_sitearch}/*.egg-info
%{_datadir}/python-dmidecode/


%changelog
* Sun Mar 02 2025 wally <wally> 3.12.3-2.mga10
+ Revision: 2156925
- rebuild for python3.13

* Thu Jan 04 2024 papoteur <papoteur> 3.12.3-1.mga10
+ Revision: 2027520
- new version 3.12.3
- rebuild for py3.12

* Tue Nov 01 2022 papoteur <papoteur> 3.12.2-18.mga9
+ Revision: 1900923
- fix path name in building step

* Sat Mar 19 2022 umeabot <umeabot> 3.12.2-17.mga9
+ Revision: 1799395
- Mageia 9 Mass Rebuild

* Thu Mar 03 2022 mrambo3501 <mrambo3501> 3.12.2-16.mga9
+ Revision: 1788120
- rebuild for python-3.10
- disable tests due to missing module

* Tue Apr 20 2021 daviddavid <daviddavid> 3.12.2-15.mga9
+ Revision: 1717380
- rebuild for python 3.9

* Sat Feb 22 2020 pterjan <pterjan> 3.12.2-14.mga8
+ Revision: 1549491
- Enable memory alignment workaround on arm

* Sun Feb 16 2020 umeabot <umeabot> 3.12.2-13.mga8
+ Revision: 1536332
- Mageia 8 Mass Rebuild

* Wed Oct 16 2019 daviddavid <daviddavid> 3.12.2-12.mga8
+ Revision: 1453988
- rebuild for python3.8
- drop python2 support

* Tue Jan 08 2019 tv <tv> 3.12.2-11.mga7
+ Revision: 1352095
- rebuild with python 3.7

* Sun Sep 23 2018 umeabot <umeabot> 3.12.2-10.mga7
+ Revision: 1300470
- Mageia 7 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for python 3.6

* Mon Jun 05 2017 ngompa <ngompa> 3.12.2-8.mga6
+ Revision: 1106825
- No-change rebuild for arm arches

* Mon Jun 05 2017 ngompa <ngompa> 3.12.2-7.mga6
+ Revision: 1106771
- Port to Mageia
- imported package python-dmidecode


* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.12.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 3.12.2-5
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.12.2-4
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.12.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Nov 07 2015 Robert Kuska <rkuska@redhat.com> - 3.12.2-2
- Rebuilt for Python3.5 rebuild

* Fri Jul 10 2015 Miro Hrončok <mhroncok@redhat.com> - 3.12.2-1
- Update to 3.12.2
- Add Python 3 subpackage (#1236000)
- Removed deprecated statements
- Moved some docs to license
- Removed pacthes
- Corrected bogus dates in %%changelog
- Build with -std=gnu89

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.10.13-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.10.13-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.10.13-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.10.13-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Jun 20 2013 Ales Ledvinka <aledvink@redhat.com> - 3.10.13-9
- Attribute installed may appear as duplicate and cause invalid XML.

* Mon Jun 17 2013 Ales Ledvinka <aledvink@redhat.com> - 3.10.13-8
- Attribute dmispec may cause invalid XML on some hardware.
- Signal handler for SIGILL.

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.10.13-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.10.13-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jul 19 2012 Ales Ledvinka <aledvink@redhat.com> 3.10.14-5
- Upstream relocated. Document source tag and tarball generation.

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.10.13-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.10.13-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 3.10.13-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Tue Jun 15 2010 Roman Rakus <rrakus@redhat.com> - 3.10.13-1
- Update to new release

* Fri Mar 12 2010 Nima Talebi <nima@it.net.au> - 3.10.12-1
- Update to new release

* Tue Feb 16 2010 Nima Talebi <nima@it.net.au> - 3.10.11-1
- Update to new release

* Tue Jan 12 2010 Nima Talebi <nima@it.net.au> - 3.10.10-1
- Update to new release

* Thu Jan 07 2010 Nima Talebi <nima@it.net.au> - 3.10.9-1
- Update to new release


* Tue Dec 15 2009 Nima Talebi <nima@it.net.au> - 3.10.8-1
- New Upstream release.
- Big-endian and little-endian approved.
- Packaged unit-test to tarball.
- Rewritten unit-test to be able to run as non-root user, where it will not
  try to read /dev/mem.
- Added two dmidump data files to the unit-test.

* Thu Nov 26 2009 David Sommerseth <davids@redhat.com> - 3.10.7-3
- Fixed even more .spec file issues and removed explicit mentioning
  of /usr/share/python-dmidecode/pymap.xml

* Wed Nov 25 2009 David Sommerseth <davids@redhat.com> - 3.10.7-2
- Fixed some .spec file issues (proper Requires, use _datadir macro)

* Wed Sep 23 2009 Nima Talebi <nima@it.net.au> - 3.10.7-1
- Updated source0 to new 3.10.7 tar ball

* Mon Jul 13 2009 David Sommerseth <davids@redhat.com> - 3.10.6-6
- Only build the python-dmidecode module, not everything

* Mon Jul 13 2009 David Sommerseth <davids@redhat.com> - 3.10.6-5
- Added missing BuildRequres for libxml2-python

* Mon Jul 13 2009 David Sommerseth <davids@redhat.com> - 3.10.6-4
- Added missing BuildRequres for python-devel

* Mon Jul 13 2009 David Sommerseth <davids@redhat.com> - 3.10.6-3
- Added missing BuildRequres for libxml2-devel

* Mon Jul 13 2009 David Sommerseth <davids@redhat.com> - 3.10.6-2
- Updated release, to avoid build conflict

* Wed Jun 10 2009 David Sommerseth <davids@redhat.com> - 3.10.6-1
- Updated to work with the new XML based python-dmidecode

* Sat Mar  7 2009 Clark Williams <williams@redhat.com> - 2.10.3-1
- Initial build.

